## org.mortbay.jetty.plugin.util
Class SystemProperty

    java.lang.Object
      org.mortbay.jetty.plugin.util.SystemProperty

    public class SystemProperty

extends java.lang.Object

SystemProperty Provides the ability to set System properties for the mojo execution. A value will only be set if it is not set already. That is, if it was set on the command line or by the system, it won't be overridden by settings in the plugin's configuration.

Constructor Summary
`SystemProperty()`

Method Summary
`java.lang.String` `getKey()`
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`boolean` `isSet()`
`void` `setKey(java.lang.String name)`
`void` `setName(java.lang.String name)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemProperty

    public SystemProperty()

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String name)

### getValue

    public java.lang.String getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - The value to set.

### isSet

    public boolean isSet()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.